superset-notifications mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From GitBox <...@apache.org>
Subject [GitHub] [incubator-superset] kkalyan opened a new issue #11106: Issue while using Forecasting
Date Tue, 29 Sep 2020 15:53:48 GMT

kkalyan opened a new issue #11106:
URL: https://github.com/apache/incubator-superset/issues/11106


   I'm trying to use Prophet forecasting on Druid datasource and it throws the following exception

   Unexpected Error
   Error: Column ds has timezone specified, which is not supported. Remove timezone.
   
   ### Expected results
   Forecast as illustrated in https://github.com/apache/incubator-superset/pull/10752
   
   ### Actual results
   ValueError: Column ds has timezone specified, which is not supported. Remove timezone.
   ERROR:superset.common.query_context:Column ds has timezone specified, which is not supported.
Remove timezone.
   Traceback (most recent call last):
     File "/local/home/kkanuri/env/lib/python3.6/site-packages/superset/common/query_context.py",
line 251, in get_df_payload
       query_result = self.get_query_result(query_obj)
     File "/local/home/kkanuri/env/lib/python3.6/site-packages/superset/common/query_context.py",
line 117, in get_query_result
       df = query_object.exec_post_processing(df)
     File "/local/home/kkanuri/env/lib/python3.6/site-packages/superset/common/query_object.py",
line 262, in exec_post_processing
       df = getattr(pandas_postprocessing, operation)(df, **options)
     File "/local/home/kkanuri/env/lib/python3.6/site-packages/superset/utils/pandas_postprocessing.py",
line 672, in prophet
       freq=freq,
     File "/local/home/kkanuri/env/lib/python3.6/site-packages/superset/utils/pandas_postprocessing.py",
line 602, in _prophet_fit_and_predict
       model.fit(df)
     File "/local/home/kkanuri/env/lib/python3.6/site-packages/fbprophet/forecaster.py", line
1111, in fit
       history = self.setup_dataframe(history, initialize_scales=True)
     File "/local/home/kkanuri/env/lib/python3.6/site-packages/fbprophet/forecaster.py", line
265, in setup_dataframe
       'Column ds has timezone specified, which is not supported. '
   ValueError: Column ds has timezone specified, which is not supported. Remove timezone.
   
   #### Screenshots
   
   
   
   
   
   #### How to reproduce the bug
   
   1. Go to '...'
   2. Click on '....'
   3. Scroll down to '....'
   4. See error
   
   ### Environment
   
   (please complete the following information):
   
   - superset version: `superset version` - 0.37.2 
   - python version: `python --version` 3.6.9
   - node.js version: `node -v`
   - npm version: `npm -v`
   
   ### Checklist
   
   Make sure these boxes are checked before submitting your issue - thank you!
   
   - [x ] I have checked the superset logs for python stacktraces and included it here as
text if there are any.
   - [x ] I have reproduced the issue with at least the latest released version of superset.
   - [x ] I have checked the issue tracker for the same issue and I haven't found one similar.
   
   ### Additional context
   
   @villebro 
   


----------------------------------------------------------------
This is an automated message from the Apache Git Service.
To respond to the message, please log on to GitHub and use the
URL above to go to the specific comment.

For queries about this service, please contact Infrastructure at:
users@infra.apache.org



---------------------------------------------------------------------
To unsubscribe, e-mail: notifications-unsubscribe@superset.apache.org
For additional commands, e-mail: notifications-help@superset.apache.org


Mime
View raw message